%define upstream_name    Syntax-Highlight-Engine-Kate
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A Plugin for Component-Pascal syntax highlighting
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Syntax/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Differences) >= 0.610.0
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Test::Warn) >= 0.300.0
BuildRequires: perl-devel
%description
Syntax::Highlight::Engine::Kate is a port to perl of the syntax highlight
engine of the Kate text editor.

The language xml files of kate have been rewritten to perl modules using a
script. These modules function as plugins to this module.

Syntax::Highlight::Engine::Kate inherits
Syntax::Highlight::Engine::Kate::Template.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# For Module-Install
export PERL5LIB="`pwd`"
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README REGISTERED eg samples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.140.0-5.mga9
+ Revision: 1810255
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-4.mga8
+ Revision: 1506204
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-3.mga7
+ Revision: 1286221
- Mageia 7 Mass Rebuild

* Thu Mar 08 2018 shlomif <shlomif> 0.140.0-2.mga7
+ Revision: 1207333
- fix build
- spec cleanups
- update to 0.14
- update to 0.13

* Tue Oct 03 2017 tv <tv> 0.100.0-6.mga7
+ Revision: 1166672
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.100.0-5.mga7
+ Revision: 1160350
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-4.mga6
+ Revision: 1033585
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.100.0-3.mga6
+ Revision: 971622
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.100.0-2.mga6
+ Revision: 892103
- make it noarch thus fixing empty debuginfo

* Wed Aug 05 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 861387
- update to 0.10

* Sat Oct 18 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 788127
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 739754
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 686277
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 634339
- update to 0.09

* Sat Oct 19 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 527306
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.80.0-1.mga4
+ Revision: 439906
- update to 0.08

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 372900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 298117
- update to 0.07

* Sun Jan 23 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 34225
- mageia rebuild
- imported package perl-Syntax-Highlight-Engine-Kate

